#include <iostream>
using namespace std;

int main()
{
    int a, b, x, y, l, k, br=0;
    cin>>a>>b>>l;
    for(k=a+b; k<=l; k++){
        for(x=1; x<=l/a; x++){
            for(y=1; y<=l/b; y++){
                if(x*a+y*b==k){
                    br++;
                    break;
                }
            }
            if(x*a+y*b==k) break;
        }
    }
    cout<<l-br<<endl;
    return 0;
}
